- name: Start Docker services on remote host
  service: name=docker state=started
  become: yes

- name: Stop and remove existing allu_elasticsearch container from Docker
  docker_container:
    name: "{{ elasticsearch_name }}"
    state: absent
  become: yes

- name: Remove existing allu_elasticsearch image from Docker
  docker_image:
    name: "{{ gitlab_registry_url }}/vincit/allu/allu/allu_elasticsearch:{{ branch }}"
    state: absent
    force_absent: true
  become: yes
  when: "'test' in group_names or 'staging' in group_names"

- name: Login to GitLab repository at the remote
  docker_login:
    registry: "{{ gitlab_registry_url }}/vincit/allu/allu"
    username: "{{ gitlab_deploy_user }}"
    password: "{{ gitlab_deploy_token }}"
  become: yes

- name: Pull allu_elasticsearch Docker image from GitLab repository
  docker_image:
    source: pull
    name: "{{ gitlab_registry_url }}/vincit/allu/allu/allu_elasticsearch:{{ branch }}"
  become: yes

- name: Start allu_elasticsearch container
  docker_container:
    name: "{{ elasticsearch_name }}"
    image: "{{ gitlab_registry_url }}/vincit/allu/allu/allu_elasticsearch:{{ branch }}"
    restart_policy: always
    volumes:
      - /srv/data/allu/elasticsearch:/usr/share/elasticsearch/data:rw
    published_ports:
      - "9200:9200"
      - "9300:9300"
    networks:
      - name: "{{ network_name }}"
    env:
      cluster.name: allu-cluster
      ES_JAVA_OPTS: "-Xms2048m -Xmx2048m"
      bootstrap.memory_lock: "true"
      xpack.security.enabled: "false"
    ulimits:
      - "nofile:65536:65536"
      - "memlock:-1:-1"
  become: yes
